---
updatedAt: 2026-06-03T12:16:05.000Z
agentTools:
  projectIndex: https://docs.asaas.com/llms.txt
---

# List recurrences

# OpenAPI definition

```json
{
  "openapi": "3.0.1",
  "info": {
    "title": "Asaas",
    "description": "API pública de integração com a plataforma Asaas.",
    "version": "3.0.0"
  },
  "servers": [
    {
      "url": "https://api-sandbox.asaas.com",
      "description": "Sandbox"
    }
  ],
  "security": [
    {
      "Authorization": []
    }
  ],
  "tags": [
    {
      "name": "Recurring Pix"
    }
  ],
  "paths": {
    "/v3/pix/transactions/recurrings": {
      "get": {
        "tags": [
          "Recurring Pix"
        ],
        "summary": "List recurrences",
        "description": "",
        "operationId": "list-recurrences",
        "parameters": [
          {
            "name": "offset",
            "in": "query",
            "description": "List starting element",
            "schema": {
              "type": "integer",
              "example": 0
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "Number of list elements (max: 100)",
            "schema": {
              "maximum": 100,
              "type": "integer",
              "example": 10
            }
          },
          {
            "name": "status",
            "in": "query",
            "description": "Filter by recurrence status",
            "schema": {
              "$ref": "#/components/schemas/RecurringPixTransactionListRequestPixRecurringTransactionStatus"
            }
          },
          {
            "name": "value",
            "in": "query",
            "description": "Filter by recurrence value",
            "schema": {
              "type": "number",
              "example": 100
            }
          },
          {
            "name": "searchText",
            "in": "query",
            "description": "Filter by receiver name",
            "schema": {
              "type": "string",
              "example": null
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Ok",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/PixRecurringTransactionListResponseDTO"
                }
              }
            }
          },
          "400": {
            "description": "Bad Request",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "error_code",
                      "description": "Error description"
                    }
                  ]
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorResponseDTO"
                },
                "example": {
                  "errors": [
                    {
                      "code": "invalid_access_token",
                      "description": "A chave de API fornecida é inválida"
                    }
                  ]
                }
              }
            }
          },
          "403": {
            "description": "Forbidden. Occurs when the request body is filled, GET method calls must have an empty body."
          }
        },
        "deprecated": false
      }
    }
  },
  "components": {
    "schemas": {
      "ErrorResponseDTO": {
        "type": "object",
        "properties": {
          "errors": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/ErrorResponseItemDTO"
            }
          }
        }
      },
      "ErrorResponseItemDTO": {
        "type": "object",
        "properties": {
          "code": {
            "type": "string",
            "description": "Error code",
            "deprecated": false,
            "example": null
          },
          "description": {
            "type": "string",
            "description": "Error description",
            "deprecated": false,
            "example": null
          }
        },
        "description": "List of objects",
        "deprecated": false
      },
      "PixRecurringTransactionExternalAccountDTO": {
        "type": "object",
        "properties": {
          "name": {
            "type": "string",
            "description": "Receiver name",
            "example": "John Doe",
            "deprecated": false
          },
          "financialInstitutionName": {
            "type": "string",
            "description": "Payment institution name",
            "example": "Example bank S.A",
            "deprecated": false
          },
          "cpfCnpj": {
            "type": "string",
            "description": "Receiver CPF or CNPJ",
            "example": "***.456.789-**",
            "deprecated": false
          },
          "pixKey": {
            "type": "string",
            "description": "Receiver Pix key",
            "example": "***.456.789-**",
            "deprecated": false
          }
        },
        "description": "Receiver information",
        "deprecated": false
      },
      "PixRecurringTransactionGetResponseDTO": {
        "type": "object",
        "properties": {
          "id": {
            "type": "string",
            "description": "Unique recurrence identifier in Asaas",
            "example": "35363f6e-93e2-11ec-b9d9-96f4053b1bd4",
            "deprecated": false
          },
          "status": {
            "$ref": "#/components/schemas/PixRecurringTransactionGetResponsePixRecurringTransactionStatus"
          },
          "origin": {
            "$ref": "#/components/schemas/PixRecurringTransactionGetResponsePixRecurringTransactionOrigin"
          },
          "value": {
            "type": "number",
            "description": "Recurrence value",
            "example": 0.02,
            "deprecated": false
          },
          "frequency": {
            "$ref": "#/components/schemas/PixRecurringTransactionGetResponsePixRecurringTransactionFrequency"
          },
          "quantity": {
            "type": "integer",
            "description": "Number of repetitions",
            "format": "int32",
            "example": 2,
            "deprecated": false
          },
          "startDate": {
            "type": "string",
            "description": "Recurrence start date",
            "format": "date",
            "example": "2024-09-18",
            "deprecated": false
          },
          "finishDate": {
            "type": "string",
            "description": "Recurrence finish date",
            "format": "date",
            "example": "2024-09-25",
            "deprecated": false
          },
          "canBeCancelled": {
            "type": "boolean",
            "description": "Whether the recurrence can be cancelled",
            "example": true,
            "deprecated": false
          },
          "externalAccount": {
            "$ref": "#/components/schemas/PixRecurringTransactionExternalAccountDTO"
          }
        }
      },
      "PixRecurringTransactionGetResponsePixRecurringTransactionStatus": {
        "type": "string",
        "description": "Recurrence status",
        "example": "PENDING",
        "deprecated": false,
        "enum": [
          "AWAITING_CRITICAL_ACTION_AUTHORIZATION",
          "PENDING",
          "SCHEDULED",
          "CANCELLED",
          "DONE"
        ]
      },
      "PixRecurringTransactionGetResponsePixRecurringTransactionOrigin": {
        "type": "string",
        "description": "Indicates the origin of the recurrence",
        "example": "PIX",
        "deprecated": false,
        "enum": [
          "PIX"
        ]
      },
      "PixRecurringTransactionGetResponsePixRecurringTransactionFrequency": {
        "type": "string",
        "description": "Recurrence frequency",
        "example": "WEEKLY",
        "deprecated": false,
        "enum": [
          "WEEKLY",
          "MONTHLY"
        ]
      },
      "PixRecurringTransactionListResponseDTO": {
        "type": "object",
        "properties": {
          "object": {
            "type": "string",
            "description": "Object type",
            "example": "list",
            "deprecated": false
          },
          "hasMore": {
            "type": "boolean",
            "description": "Indicates whether there is another page to be searched",
            "example": false,
            "deprecated": false
          },
          "totalCount": {
            "type": "integer",
            "description": "Total number of items for the filters entered",
            "format": "int32",
            "example": 2,
            "deprecated": false
          },
          "limit": {
            "type": "integer",
            "description": "Number of objects per page",
            "format": "int32",
            "example": 10,
            "deprecated": false
          },
          "offset": {
            "type": "integer",
            "description": "Position of the object from which the page should be loaded",
            "format": "int32",
            "example": 0,
            "deprecated": false
          },
          "data": {
            "type": "array",
            "description": "List of objects",
            "deprecated": false,
            "items": {
              "$ref": "#/components/schemas/PixRecurringTransactionGetResponseDTO"
            }
          }
        }
      },
      "RecurringPixTransactionListRequestPixRecurringTransactionStatus": {
        "type": "string",
        "description": "Filter by recurrence status",
        "example": "AWAITING_CRITICAL_ACTION_AUTHORIZATION",
        "deprecated": false,
        "enum": [
          "AWAITING_CRITICAL_ACTION_AUTHORIZATION",
          "PENDING",
          "SCHEDULED",
          "CANCELLED",
          "DONE"
        ]
      }
    },
    "securitySchemes": {
      "Authorization": {
        "type": "apiKey",
        "name": "access_token",
        "in": "header"
      }
    }
  },
  "x-readme": {
    "headers": [
      {
        "key": "User-Agent",
        "value": "NomeDaSuaAplicacao/1.0.0"
      }
    ]
  }
}
```

# Sibling pages

* [Retrieve a single recurrence](https://docs.asaas.com/reference/retrieve-a-single-recurrence.md)
* [Cancel a recurrence](https://docs.asaas.com/reference/cancel-a-recurrence.md)
* [List recurrence items](https://docs.asaas.com/reference/list-recurrence-items.md)
* [Cancel a recurrence item](https://docs.asaas.com/reference/cancel-a-recurrence-item.md)